import 'd3-selection-multi';
import { Mark } from './Mark';
export declare class Pie extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    create_listeners(): void;
    process_click(interaction: any): void;
    relayout(): void;
    position_center(animate?: boolean): void;
    update_radii(animate?: boolean): void;
    mid_angle_location(arc_data: any): "right" | "left";
    draw(animate?: boolean): void;
    update_stroke_and_opacities(): void;
    update_colors(): void;
    update_labels(): void;
    update_values(): void;
    clear_style(style_dict: any, indices?: any): void;
    set_style_on_elements(style: any, indices?: any): void;
    set_default_style(indices?: any): void;
    click_handler(args: any): void;
    reset_selection(): void;
    compute_view_padding(): void;
    pie_g: any;
    arc: any;
    outer_arc: any;
    x_offset: any;
    y_offset: any;
}
